Subject: Re: Which ethtool methods should I implement?

From: Timur Tabi <[email-masked]>
Date: Tue, 20 Dec 2016 10:38:47 -0600

On 12/19/2016 07:40 PM, Florian Fainelli wrote:
> Ideally, everything that is supported by your HW, but I would with the
> basic essential stuff that you would need in case someone reports
> problems with your driver like:
>
> - statistics (MAC for sure) and PHY (if possible), -S
> - ability to restart auto-negotation (-r)
> - reporting of driver information (-i)
> - support toggling and reporting NETIF_F_* features -k/-K

Thanks, I'll get this done soon.

I'm confused about netdev_set_default_ethtool_ops().  Is this a function 
that drivers are supposed to call?  I only see one driver use it.  Other 
drivers just set netdev->ethtool_ops manually.

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm
Technologies, Inc.  Qualcomm Technologies, Inc. is a member of the
Code Aurora Forum, a Linux Foundation Collaborative Project.